Olympus Docs
ReferenceAPIsOry Identities APIfrontend

Get Recovery Flow

This endpoint returns a recovery flow's context with, for example, error details and other information.

GET /self-service/recovery/flows

This endpoint returns a recovery flow's context with, for example, error details and other information.

Browser flows expect the anti-CSRF cookie to be included in the request's HTTP Cookie Header. For AJAX requests you must ensure that cookies are included in the request or requests will fail.

If you use the browser-flow for server-side apps, the services need to run on a common top-level-domain and you need to forward the incoming HTTP Cookie header to this endpoint:

pseudo-code example
router.get('/recovery', async function (req, res) {
const flow = await client.getRecoveryFlow(req.header('Cookie'), req.query['flow'])

res.render('recovery', flow)
})

More information can be found at Ory Kratos Account Recovery Documentation.

Operation ID: getRecoveryFlow    Tag: frontend

Query parameters

NameTypeRequiredDescription
idstringyesThe Flow ID The value for this parameter comes from request URL Query parameter sent to your application (e.g. /recovery?flow=abcde).

Header parameters

NameTypeRequiredDescription
CookiestringnoHTTP Cookies When using the SDK in a browser app, on the server side you must include the HTTP Cookie Header sent by the client to your server here. This ensures that CSRF and session cookies are respected.

Responses

StatusDescriptionBody
200recoveryFlowapplication/json, object
404errorGenericapplication/json, object
410errorGenericapplication/json, object
defaulterrorGenericapplication/json, object

Generated from /tmp/kratos-api.json at build time.

On this page